﻿using Ant.Core.WebApi.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ant.Core.WebApi.Model
{
    public class ApiResult
    {
        public ApiResult()
        {
            this.Code = ApiStatusCode.Success;
            this.Message = "成功";
        }

        public ApiResult(ApiStatusCode errorCode, string message)
        {
            this.Code = errorCode;
            this.Message = message;
        }

        /// <summary>
        /// 返回码
        /// </summary>
        public ApiStatusCode Code { set; get; } = ApiStatusCode.Success;
        /// <summary>
        /// 返回消息
        /// </summary>
        public string Message { set; get; } = string.Empty;
        /// <summary>
        /// 是否成功
        /// </summary>
        public bool IsSuccess { get { return Code == ApiStatusCode.Success; } }
    }

    public class ApiResult<T> : ApiResult
    {
        public ApiResult(ApiStatusCode errorCode, string message) : base(errorCode, message)
        {

        }

        public ApiResult(T data) : base(ApiStatusCode.Success, "成功")
        {
            this.Data = data;
        }

        /// <summary>
        /// 实际数据
        /// </summary>
        public T Data { set; get; }
    }

}