﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Central.Control.WebApi.Cache
{
    public interface ICacheHelper
    {
        /// <summary>
        /// 此方法缓存不会过期，请谨慎使用
        /// </summary>
        /// <param name="key"></param>
        /// <param name="content"></param>
        void SetByNotExpired<T>(string key, T content);

        /// <summary>
        /// 
        /// </summary>
        /// <param name="key"></param>
        /// <param name="content"></param>
        /// <param name="seconds"></param>
        void Set<T>(string key, T content, int seconds = 300);

        /// <summary>
        /// 
        /// </summary>
        /// <typeparam name="T"></typeparam>
        /// <param name="key"></param>
        /// <returns></returns>
        T Get<T>(string key) where T : class;

        /// <summary>
        /// 
        /// </summary>
        /// <param name="key"></param>
        void Remove(string key);

    }
}