﻿using Ant.Core.WebApi.Model;
using Central.Control.WebApi.Models.Request;
using Central.Control.WebApi.Models.Response;
using Central.Control.WebApi.Service.Interface;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http;

namespace Central.Control.WebApi.Controllers
{
    /// <summary>
    /// 登录相关
    /// </summary>
    [RoutePrefix("api/login")]
    public class LoginController : ApiController
    {
        private readonly ILoginService _loginService;

        /// <summary>
        /// 
        /// </summary>
        /// <param name="loginService"></param>
        public LoginController(ILoginService loginService)
        {
            _loginService = loginService;
        }

        /// <summary>
        /// 设备登录接口
        /// </summary>
        /// <returns></returns>
        [AllowAnonymous]
        [HttpPost]
        [Route("devicelogin")]
        public ApiResult<DeviceLoginResponseDto> DeviceLogin(DeviceLoginRequestDto req)
        {
            return _loginService.DeviceLogin(req);
        }

        /// <summary>
        /// 退出登录
        /// </summary>
        /// <returns></returns>
        [HttpPut]
        [Route("logout")]
        public ApiResult Logout()
        {
            return _loginService.Logout();
        }

    }
}