﻿using Ant.Core.WebApi.Model;
using Central.Control.WebApi.Models.Response;
using Central.Control.WebApi.Service.Interface;
using System.Web.Http;

namespace Central.Control.WebApi.Controllers
{
    /// <summary>
    /// 订单相关接口
    /// </summary>
    [RoutePrefix("api/product")]
    public class ProductController : ApiController
    {
        private readonly IProductService _productService;

        /// <summary>
        /// 
        /// </summary>
        /// <param name="productService"></param>
        public ProductController(IProductService productService)
        {
               _productService = productService;
        }

        /// <summary>
        /// 商品列表
        /// </summary>
        /// <param name="kw"></param>
        /// <param name="skip"></param>
        /// <param name="limit"></param>
        /// <returns></returns>
        [HttpGet]
        [Route("query")]
        public PagedApiResult<ProductResponseDto> Query(string kw = "", int skip = 0, int limit = 1)
        {
            return _productService.Query(kw, skip, limit);
        }

    }
}
