﻿using Ant.Core.SqlServer.BaseEntities;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Central.Control.WebApi.DbEntity
{
    /// <summary>
    /// 设备表
    /// </summary>
    public class SYS_Device: SoftBaseEntity
    {
        /// <summary>
        /// 主键ID
        /// </summary>
        [Key]
        [MaxLength(50)]
        public string Id { set; get; } = string.Empty;
        /// <summary>
        /// 设备名称
        /// </summary>
        [MaxLength(50)]
        [Required(AllowEmptyStrings =true)]
        public string Name { set; get; } = string.Empty;
        /// <summary>
        /// 设备编号（唯一）
        /// </summary>
        [MaxLength(50)]
        [Required(AllowEmptyStrings = true)]
        public string Code { set; get; } = string.Empty;
        /// <summary>
        /// 设备地址
        /// </summary>
        [MaxLength(255)]
        [Required(AllowEmptyStrings = true)]
        public string Address { set; get; } = string.Empty;
        /// <summary>
        /// 设备密码
        /// </summary>
        [MaxLength(50)]
        [Required(AllowEmptyStrings = true)]
        public string Password { set; get; } = string.Empty;
    }
}