﻿using Ant.Core.SqlServer.BaseEntities;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Central.Control.WebApi.DbEntity
{
    /// <summary>
    /// SYS_LoginSession系统登录信息
    /// </summary>
    public class SYS_LoginSession: BaseEntity
    {
        /// <summary>
        /// 主键ID
        /// </summary>
        [Key]
        [MaxLength(50)]
        public string Id { set; get; } = string.Empty;
        /// <summary>
        /// 用户id
        /// </summary>
        [MaxLength(50)]
        [Required(AllowEmptyStrings = true)]
        public string UserId { set; get; } = string.Empty;
        /// <summary>
        /// 用户名称
        /// </summary>
        [MaxLength(50)]
        [Required(AllowEmptyStrings = true)]
        public string UserName { set; get; } = string.Empty;
        /// <summary>
        /// token
        /// </summary>
        [MaxLength(200)]
        [Required(AllowEmptyStrings = true)]
        public string Token { set; get; } = string.Empty;
        /// <summary>
        /// 过期时间
        /// </summary>
        public DateTime Expiration { set; get; } = DateTime.Now;
    }
}