﻿using Ant.Core.SqlServer.BaseEntities;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Central.Control.WebApi.DbEntity
{
    /// <summary>
    /// YW_DevicePacking设备包装数量表
    /// </summary>
    public class YW_DevicePacking : SoftBaseEntity
    {
        /// <summary>
        /// 主键ID
        /// </summary>
        [Key]
        [MaxLength(50)]
        public string Id { set; get; } = string.Empty;
        /// <summary>
        /// 包装表id
        /// </summary>
        [MaxLength(50)]
        [Required(AllowEmptyStrings = true)]
        public string PackingId { set; get; } = string.Empty;
        /// <summary>
        /// 设备id
        /// </summary>
        [MaxLength(50)]
        [Required(AllowEmptyStrings = true)]
        public string DeviceId { set; get; } = string.Empty;
        /// <summary>
        /// 容量
        /// </summary>
        public int Capacity { set; get; } = 1;
        /// <summary>
        /// 库存
        /// </summary>
        public int Stock { set; get; }
    }
}