﻿using Ant.Core.SqlServer.BaseEntities;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Central.Control.WebApi.DbEntity
{
    /// <summary>
    /// YW_DeviceProduct设备售卖商品
    /// </summary>
    public class YW_DeviceProduct : SoftBaseEntity
    {
        /// <summary>
        /// 主键ID
        /// </summary>
        [Key]
        [MaxLength(50)]
        public string Id { set; get; } = string.Empty;
        /// <summary>
        /// 设备id
        /// </summary>
        [MaxLength(50)]
        [Required(AllowEmptyStrings = true)]
        public string DeviceId { set; get; } = string.Empty;
        /// <summary>
        /// 商品id
        /// </summary>
        [MaxLength(50)]
        [Required(AllowEmptyStrings = true)]
        public string ProductId { set; get; } = string.Empty;
        /// <summary>
        /// 售卖价
        /// </summary>
        public decimal Price { set; get; }
        /// <summary>
        /// 库存
        /// </summary>
        public int Stock { set; get; }
    }
}