﻿using Ant.Core.SqlServer.BaseEntities;
using Central.Control.WebApi.Enum;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Central.Control.WebApi.DbEntity
{
	/// <summary>
	/// YW_ORDER订单表
	/// </summary>
	public class YW_Order : SoftBaseEntity
	{
		/// <summary>
		/// 主键id
		/// </summary>
		[Key]
		[MaxLength(50)]
		public string Id { set; get; } = string.Empty;
		/// <summary>
		/// 购买设备id
		/// </summary>
		[MaxLength(50)]
		[Required(AllowEmptyStrings = true)]
		public string DeviceId { set; get; } = string.Empty;
		/// <summary>
		/// 订单名称
		/// </summary>
		[MaxLength(100)]
		[Required(AllowEmptyStrings = true)]
		public string Name { set; get; } = string.Empty;
		/// <summary>
		/// 订单金额
		/// </summary>
		public decimal Price { set; get; }
		/// <summary>
		/// 支付状态
		/// </summary>
		public PayStatusEnum PayStatus { set; get; } = PayStatusEnum.UnPay;
		/// <summary>
		/// 订单状态
		/// </summary>
		public OrderStatusEnum OrderStatus { set; get; } = OrderStatusEnum.UnPay;
		/// <summary>
		/// 支付流水号
		/// </summary>
		[MaxLength(100)]
		[Required(AllowEmptyStrings = true)]
		public string PaySerialId { set; get; } = string.Empty;
		/// <summary>
		/// 支付类型
		/// </summary>
		public PayWayEnum PayWay { set; get; } = PayWayEnum.UnKnow;
	}
}