﻿using Ant.Core.SqlServer.BaseEntities;
using Central.Control.WebApi.Enum;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Central.Control.WebApi.DbEntity
{
    /// <summary>
    /// YW_OrderProcess订单制作过程表
    /// </summary>
    public class YW_OrderProcess: SoftBaseEntity
	{
		/// <summary>
		/// 主键id
		/// </summary>
		[Key]
		[MaxLength(50)]
		public string Id { set; get; } = string.Empty;
		/// <summary>
		/// 订单id
		/// </summary>
		[MaxLength(50)]
		[Required(AllowEmptyStrings = true)]
		public string OrderId { set; get; } = string.Empty;
		/// <summary>
		/// 制作机器id
		/// </summary>
		[MaxLength(50)]
		[Required(AllowEmptyStrings = true)]
		public string DeviceId { set; get; } = string.Empty;
		/// <summary>
		/// 当前进度
		/// </summary>
		public OrderStatusEnum CurrentOrderStatus { set; get; } = OrderStatusEnum.UnPay;
		/// <summary>
		/// 当前消息
		/// </summary>
		[MaxLength(500)]
		[Required(AllowEmptyStrings = true)]
		public string Message { set; get; } = string.Empty;
	}
}