﻿using Ant.Core.SqlServer.BaseEntities;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Central.Control.WebApi.DbEntity
{
    /// <summary>
    /// YW_Packing包装表
    /// </summary>
    public class YW_Packing : SoftBaseEntity
    {
        /// <summary>
        /// 主键ID
        /// </summary>
        [Key]
        [MaxLength(50)]
        public string Id { set; get; } = string.Empty;
        /// <summary>
        /// 包装名称
        /// </summary>
        [MaxLength(50)]
        [Required(AllowEmptyStrings = true)]
        public string Name { set; get; } = string.Empty;
        /// <summary>
        /// 包装图片
        /// </summary>
        [MaxLength(200)]
        [Required(AllowEmptyStrings = true)]
        public string Img { set; get; } = string.Empty;
        /// <summary>
        /// 最小可装个数
        /// </summary>
        public int Min { set; get; } = 1;
        /// <summary>
        /// 最大可装个数
        /// </summary>
        public int Max { set; get; } = 1;
    }
}