﻿using Ant.Core.SqlServer.BaseEntities;
using Central.Control.WebApi.Enum;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Central.Control.WebApi.DbEntity
{
	/// <summary>
	/// YW_PayCall支付回写表
	/// </summary>
	public class YW_PayCall : SoftBaseEntity
	{
		/// <summary>
		/// 主键id
		/// </summary>
		[Key]
		[MaxLength(50)]
		public string Id { set; get; } = string.Empty;
		/// <summary>
		/// 订单id
		/// </summary>
		[MaxLength(50)]
		[Required(AllowEmptyStrings = true)]
		public string OrderId { set; get; } = string.Empty;
		/// <summary>
		/// 支付状态
		/// </summary>
		public PayStatusEnum PayStatus { set; get; } = PayStatusEnum.UnPay;
		/// <summary>
		/// 支付流水号
		/// </summary>
		[MaxLength(100)]
		[Required(AllowEmptyStrings = true)]
		public string PaySerialId { set; get; } = string.Empty;
		/// <summary>
		/// 支付类型
		/// </summary>
		public PayWayEnum PayWay { set; get; } = PayWayEnum.UnKnow;
		/// <summary>
		/// 支付原始记录
		/// </summary>
		public string PayResponse { set; get; } = string.Empty;	
		/// <summary>
		/// 买家支付用户号
		/// </summary>
		[MaxLength(100)]
		[Required(AllowEmptyStrings = true)]
		public string BuyerId { set; get; } = string.Empty;
		/// <summary>
		/// 买家支付账号
		/// </summary>
		[MaxLength(100)]
		[Required(AllowEmptyStrings = true)]
		public string BuyAccount { set; get; } = string.Empty;
		/// <summary>
		/// 卖家支付用户号
		/// </summary>
		[MaxLength(100)]
		[Required(AllowEmptyStrings = true)]
		public string SellerId { set; get; } = string.Empty;
		/// <summary>
		/// 卖家支付账号
		/// </summary>
		[MaxLength(100)]
		[Required(AllowEmptyStrings = true)]
		public string SellAccount { set; get; } = string.Empty;
		/// <summary>
		/// 支付金额
		/// </summary>
		public decimal PayAmount { set; get; }
		/// <summary>
		/// 付款时间
		/// </summary>
		public DateTime PayTime { set; get; } = DateTime.Now;
	}
}