﻿using Ant.Core.SqlServer.BaseEntities;
using Central.Control.WebApi.Enum;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Central.Control.WebApi.DbEntity
{
    /// <summary>
    /// YW_PayCallLog支付回写日志表
    /// </summary>
    public class YW_PayCallLog : BaseEntity
    {
        /// <summary>
        /// 主键ID
        /// </summary>
        [Key]
        [MaxLength(50)]
        public string Id { set; get; } = string.Empty;
        /// <summary>
        /// 支付流水号
        /// </summary>
        [MaxLength(100)]
        [Required(AllowEmptyStrings = true)]
        public string PaySerialId { set; get; } = string.Empty;
        /// <summary>
        /// 外部订单号
        /// </summary>
        [MaxLength(50)]
        [Required(AllowEmptyStrings = true)]
        public string OutTradeNo { set; get; } = string.Empty;
        /// <summary>
        /// 支付类型
        /// </summary>
        public PayWayEnum PayWay { set; get; } = PayWayEnum.UnKnow;
        /// <summary>
        /// 回写原始内容
        /// </summary>
        public string PayResponse { set; get; } = string.Empty;
    }
}