﻿using Ant.Core.SqlServer.BaseEntities;
using Central.Control.WebApi.Enum;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Web;

namespace Central.Control.WebApi.DbEntity
{
    /// <summary>
    /// YW_PRODUCT商品表
    /// </summary>
    public class YW_Product : SoftBaseEntity
    {
        /// <summary>
        /// 主键ID
        /// </summary>
        [Key]
        [MaxLength(50)]
        public string Id { set; get; } = string.Empty;
        /// <summary>
        /// 商品名称
        /// </summary>
        [MaxLength(100)]
        [Required(AllowEmptyStrings = true)]
        public string Name { set; get; } = string.Empty;
        /// <summary>
        /// 商品编号（唯一）
        /// </summary>
        [MaxLength(50)]
        [Required(AllowEmptyStrings = true)]
        public string Code { set; get; } = string.Empty;
        /// <summary>
        /// 商品图片
        /// </summary>
        [MaxLength(200)]
        [Required(AllowEmptyStrings = true)]
        public string Img { set; get; } = string.Empty;
        /// <summary>
        /// 商品简介
        /// </summary>
        [MaxLength(200)]
        [Required(AllowEmptyStrings = true)]
        public string Info { set; get; } = string.Empty;
        /// <summary>
        /// 售卖价
        /// </summary>
        public decimal Price { set; get; }
        /// <summary>
        /// 进货价
        /// </summary>
        public decimal BuyingPrice { set; get; }
        /// <summary>
        /// 库存
        /// </summary>
        public int Stock { set; get; }
        /// <summary>
        /// 售卖状态
        /// </summary>
        public SaleEnum Sale { set; get; } = SaleEnum.Off;
    }
}