﻿using Central.Control.WebApi.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Central.Control.WebApi.Models.Request
{
    /// <summary>
    /// 
    /// </summary>
    public class PayWriteBackRequestDto
    {
        /// <summary>
        /// 支付流水号
        /// </summary>
        public string PaySerialId { set; get; } = string.Empty;
		/// <summary>
		/// 订单号
		/// </summary>
		public string OrderId { set; get; } = string.Empty;
		/// <summary>
		/// 支付状态
		/// </summary>
		public PayStatusEnum PayStatus { set; get; } = PayStatusEnum.UnPay;
		/// <summary>
		/// 支付类型
		/// </summary>
		public PayWayEnum PayWay { set; get; } = PayWayEnum.UnKnow;
		/// <summary>
		/// 买家支付用户号
		/// </summary>
		public string BuyerId { set; get; } = string.Empty;
		/// <summary>
		/// 买家支付账号
		/// </summary>
		public string BuyAccount { set; get; } = string.Empty;
		/// <summary>
		/// 卖家支付用户号
		/// </summary>
		public string SellerId { set; get; } = string.Empty;
		/// <summary>
		/// 卖家支付账号
		/// </summary>
		public string SellAccount { set; get; } = string.Empty;
		/// <summary>
		/// 支付金额
		/// </summary>
		public decimal PayAmount { set; get; }
		/// <summary>
		/// 总金额（需要用来验证）
		/// </summary>
		public decimal TotalAmount { set; get; }
		/// <summary>
		/// 支付原始记录
		/// </summary>
		public string PayResponse { set; get; } = string.Empty;
		/// <summary>
		/// 付款时间
		/// </summary>
		public DateTime PayTime { set; get; } = DateTime.Now;
	}
}