﻿using Ant.Core.WebApi.Model;
using Central.Control.WebApi.Models.Request;
using Central.Control.WebApi.Models.Response;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Central.Control.WebApi.Service.Interface
{
    /// <summary>
    /// 
    /// </summary>
    public interface IDeviceService
    {
        /// <summary>
        /// 获取设备售卖的商品
        /// </summary>
        /// <returns></returns>
        ApiResult<DeviceProductResponseDto> GetDeviceProduct();

        /// <summary>
        /// 设备商品保存
        /// </summary>
        /// <param name="req"></param>
        /// <returns></returns>
        ApiResult SaveDeviceProduct(DeviceProductRequestDto req);

        /// <summary>
        /// 获取设备正在使用的包装盒表
        /// </summary>
        /// <returns></returns>
        ApiResult<DevicePackingResponseDto> GetDevicePacking();

        /// <summary>
        /// 设备包装盒表
        /// </summary>
        /// <param name="kw"></param>
        /// <param name="skip"></param>
        /// <param name="limit"></param>
        /// <returns></returns>
        PagedApiResult<DeviceCanUsePackingResponseDto> GetDeviceCanUsePackings(string kw = "", int skip = 0, int limit = 1);

        /// <summary>
        /// 设备包装盒保存
        /// </summary>
        /// <param name="req"></param>
        /// <returns></returns>
        ApiResult SaveDevicePacking(DevicePackingRequestDto req);

    }
}