﻿using Ant.Core.WebApi.Model;
using Central.Control.WebApi.Models.Request;
using Central.Control.WebApi.Models.Response;
using Com.Alipay.Business;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Central.Control.WebApi.Service.Interface
{
    /// <summary>
    /// 
    /// </summary>
    public interface IOrderService
    {
        /// <summary>
        /// 下单
        /// </summary>
        /// <param name="req"></param>
        /// <returns></returns>
        ApiResult<OrderResponseDto> Order(OrderRequestDto req);

        /// <summary>
        /// 根据id获取商品信息
        /// </summary>
        /// <param name="orderId"></param>
        /// <returns></returns>
        ApiResult<OrderInfoResponseDto> GetQueueOrder(string orderId);

        /// <summary>
        /// 获取待烧烤的商品列表
        /// <returns></returns>
        ApiResult<List<QueueOrderResponseDto>> GetQueueOrders();

        /// <summary>
        /// 取消未支付订单
        /// </summary>
        /// <returns></returns>
        ApiResult CancelUnPayOrder(string orderId);

        /// <summary>
        /// 回写流程状态
        /// </summary>
        /// <param name="req"></param>
        /// <returns></returns>
        ApiResult OrderProcess(OrderProcessRequestDto req);

        /// <summary>
        /// 获取支付宝支付链接
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        string AliPayProcess(string id);

        /// <summary>
        /// 支付宝支付回写（已测试好，勿动）
        /// </summary>
        /// <returns></returns>
        string AliPayNotify();

        /// <summary>
        /// 申请退款
        /// </summary>
        /// <returns></returns>
        ApiResult OrderRefund(string orderId);

        /// <summary>
        /// 轮询查询退款信息，并更新订单的退款记录
        /// </summary>
        /// <returns></returns>
        ApiResult OrderRefundLoop();

        /// <summary>
        /// 支付测试
        /// </summary>
        /// <returns></returns>
        ApiResult<AlipayF2FPrecreateResult> PayTest();

        /// <summary>
        /// 
        /// </summary>
        /// <param name="orderId"></param>
        /// <returns></returns>
        AlipayF2FQueryResult tradeQuery(string orderId);
    }
}
