﻿using Central.Control.WebApi.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Central.Control.WebApi.Service.Interface
{
    /// <summary>
    /// 业务日志相关
    /// </summary>
    public interface IYWLogService
    {
        /// <summary>
        /// 写入订单日志
        /// </summary>
        /// <param name="orderId"></param>
        /// <param name="title"></param>
        /// <param name="content"></param>
        /// <param name="opreater"></param>
        void WriteOrderLog(string orderId, string title, string content, string opreater);

        /// <summary>
        /// 写入支付回写日志
        /// </summary>
        /// <param name="paySerialId">支付流水号</param>
        /// <param name="outTradeNo">外部订单号</param>
        /// <param name="payWay">支付类型</param>
        /// <param name="payResponse">回写原始内容</param>
        void WritePayCallLog(string paySerialId, string outTradeNo, PayWayEnum payWay, string payResponse);

        /// <summary>
        /// 写入订单流程信息
        /// </summary>
        /// <param name="orderId"></param>
        /// <param name="deviceId"></param>
        /// <param name="orderStatus"></param>
        /// <param name="message"></param>
        /// <param name="opreater"></param>
        void WriteOrderProcess(string orderId, string deviceId, OrderStatusEnum orderStatus, string message, string opreater);
    }
}
